{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python3",
                "/scripts/complex_computation.py"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ratschlab/workflow-experiment"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "label": "exponent to regulate runtime",
                    "id": "#complex_computation_docker.cwl/exponent"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "label": "input file",
                    "id": "#complex_computation_docker.cwl/input_file"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.input_file.nameroot).res",
                    "position": 3
                }
            ],
            "id": "#complex_computation_docker.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.res"
                    },
                    "doc": "number of lines in file",
                    "id": "#complex_computation_docker.cwl/counts"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ratschlab/workflow-experiment"
                }
            ],
            "baseCommand": [
                "/scripts/line_counts.sh"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "label": "input file",
                    "id": "#line_counts_docker.cwl/input_file"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(runtime.outdir)",
                    "position": 2
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.cnt"
                    },
                    "doc": "number of lines in file",
                    "id": "#line_counts_docker.cwl/counts"
                }
            ],
            "id": "#line_counts_docker.cwl"
        },
        {
            "class": "Workflow",
            "doc": "[![Docker Repository on Quay](https://quay.io/repository/ratschlab/workflow-experiment/status \"Docker Repository on Quay\")](https://quay.io/repository/ratschlab/workflow-experiment)\nVery simple and very artifical workflow to experiment with containers and cwl.\n",
            "inputs": [
                {
                    "type": "int",
                    "id": "#main/compute_exponent"
                },
                {
                    "type": "File",
                    "id": "#main/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/count/counts",
                    "id": "#main/cnt"
                },
                {
                    "type": "File",
                    "outputSource": "#main/compute/counts",
                    "id": "#main/res"
                }
            ],
            "steps": [
                {
                    "run": "#complex_computation_docker.cwl",
                    "in": [
                        {
                            "source": "#main/compute_exponent",
                            "id": "#main/compute/exponent"
                        },
                        {
                            "source": "#main/count/counts",
                            "id": "#main/compute/input_file"
                        }
                    ],
                    "out": [
                        "#main/compute/counts"
                    ],
                    "id": "#main/compute"
                },
                {
                    "run": "#line_counts_docker.cwl",
                    "in": [
                        {
                            "source": "#main/input_file",
                            "id": "#main/count/input_file"
                        }
                    ],
                    "out": [
                        "#main/count/counts"
                    ],
                    "id": "#main/count"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
